Bug 490909 - Kerberos contains hard-coded MD5 and SHA-1 uses
Kerberos contains hard-coded MD5 and SHA-1 uses
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: krb5 (Show other bugs)
19
All Linux
low Severity medium
: ---
: ---
Assigned To: Roland Mainz
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: fedora-sha2-pkgs
  Show dependency treegraph
 
Reported: 2009-03-18 10:58 EDT by Miloslav Trmač
Modified: 2015-09-08 13:27 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 06:58:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Miloslav Trmač 2009-03-18 10:58:41 EDT
MD5 is all but broken, and there are some weaknesses in SHA-1.  Could you add support for SHA-2 in the remaining parts of Kerberos, please?

I have identified the following areas:
* GSS-API v1 contains hard-codes MD5 uses
  (Incompatible v2 of GSS-API would be necessary for SHA-2)
* pkinit contains hard-coded SHA-1 uses
* preauth "SAM" hard-codes MD5

(I realize converting them all now might not be practical - but they should be converted eventually.)
Comment 2 Nalin Dahyabhai 2009-03-18 11:11:59 EDT
A number of these cases are dictated by the current versions of standards.  As these are updated to include use of additional digest mechanisms, I expect they'll be implemented.
Comment 3 Bug Zapper 2009-06-09 08:21:02 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-04-27 09:15:01 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2011-06-02 14:12:18 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Fedora End Of Life 2012-08-07 15:37:06 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Miloslav Trmač 2012-08-08 06:58:39 EDT
As of krb5-1.10.2-7.fc18:

> I have identified the following areas:
> * GSS-API v1 contains hard-codes MD5 uses
>   (Incompatible v2 of GSS-API would be necessary for SHA-2)
v1 hard-coded MD5 is still there, I think; I haven't checked whether v2 is supported.

> * pkinit contains hard-coded SHA-1 uses
Still there.

> * preauth "SAM" hard-codes MD5
I can't find this code any more.
Comment 8 Fedora End Of Life 2013-04-03 16:10:53 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 9 Fedora Admin XMLRPC Client 2014-10-06 12:37:29 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 10 Fedora End Of Life 2015-01-09 16:39:00 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Miloslav Trmač 2015-01-12 14:32:15 EST
As of krb5-1.13-4.fc22.src.rpm:

(In reply to Miloslav Trmač from comment #0)
> I have identified the following areas:
> * GSS-API v1 contains hard-codes MD5 uses
>   (Incompatible v2 of GSS-API would be necessary for SHA-2)
I haven’t looked into this in detail now.

> * pkinit contains hard-coded SHA-1 uses
> * preauth "SAM" hard-codes MD5
These hard-coded uses seem to no longer be there.

A quick grep also finds a huge amount of hard-coded RSA_MD5 uses in various places.  Assuming (naively hoping?) they have been there also back in 2009, perhaps I have excluded these cases with a more detailed analysis I don’t have time now.

So I’ll leave the autoclosing, or not, of this bug, up to the package maintiner’s more detailed knowledge.
Comment 12 Fedora End Of Life 2015-02-18 06:58:49 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.